<?php
	/* Toggle Shortcode */
	add_shortcode('toggles', 'nvr_toggles');
	add_shortcode('toggle', 'nvr_toggle');
	
	/* -----------------------------------------------------------------
		Toggle
	----------------------------------------------------------------- */
	function nvr_toggle($atts, $content = null) {
		
		extract(shortcode_atts(array(
			'title' => 'Unnamed',
			'image' => '',
			'icon'	=> '',
			'class' => ''
		), $atts));
		
		$imageoutput = '';
		if($image!=''){
			$imageoutput = '<img src="'.$image.'" alt="" />';
		}
		
		$iconoutput = '';
		if($icon!=''){
			$iconoutput = '<i class="fa '.$icon.' colortext"></i> ';
		}
		
		$output = '
				<h2 class="trigger '.$class.'"><span>'.$iconoutput.$imageoutput.$title.'</span></h2>
				<div class="toggle_container '.$class.'">
					<div class="block">'.$content.'</div>
				</div>';
			
		return do_shortcode($output);
		
	}
	
	
	/* -----------------------------------------------------------------
		Toggles container
	----------------------------------------------------------------- */
	function nvr_toggles($atts, $content = null) {
		$output = '<div id="toggle">'.$content.'</div>';
		return do_shortcode($output);
		
	}
?>