jQuery(document).ready(function(){
	
	/*Add Class Js to html*/
	jQuery('html').addClass('js');	
	
	show_tab();
	
	show_toggle();
	
	topcart_effects();
	
	topsearch_effects();
	
	portfolio_effect();
	
	show_socialicon();
	
	show_lightbox();
	
	show_carousel();
	
	form_styling();
	
	slider_init();
	
	fullwidthwrap();
	
	change_uberOrientation();
	
	quickviewajax();
	
	nvr_wrapping_product_thumb();
});

jQuery(window).load(function(){
	
	header_effect();
	show_menu();
	isotopeinit();
	nvr_sliding_product_thumb();
});

jQuery(window).resize(function(){
	isotopeinit();
	fullwidthwrap();
	change_uberOrientation();
});

function isMobile(){
	"use strict";
	var onMobile = false;
	if( /Android|webOS|iPhone|iPad|iPod|BlackBerry/i.test(navigator.userAgent) ) { onMobile = true; }
	return onMobile;
}

function header_effect(){
	"use strict";
	/*=================================== TOPSEARCH ==============================*/
	var headertext = jQuery('#headertext');
	var outerheader = jQuery('#outerheader');
	var outerheaderw = jQuery('#outerheaderwrapper');
	var outerslider = jQuery('#outerslider');
	var wpadminbar = jQuery('#wpadminbar');
	
	var headertextheight = headertext.height();
	var headertextinnerh = headertext.innerHeight();
	var adminbarinnerh = wpadminbar.innerHeight();
	var outerheaderinnerh = outerheader.innerHeight();
	var outerheadertop = outerheader.css("top");
	var windowheight = jQuery(window).height();
	var headertextoffset = headertext.offset().top;
	var outerheaderoffset = outerheader.offset().top;
	
	if(jQuery('body').hasClass('nvrlayout3')){
		var outersliderv3 = jQuery('.nvrlayout3 #outerslider');
		var outersliderinnerh = outersliderv3.innerHeight();
		var outersliderheight = outersliderinnerh+adminbarinnerh;
		
		if(outersliderheight>windowheight){
			outersliderheight = windowheight-adminbarinnerh;
		}
		outersliderv3.css({
			'height' : outersliderheight
		});
	}
	
	if(jQuery('body').hasClass('nvrlayout4')!=true){
		outerheaderw.css('height',outerheaderinnerh);
	}
	
	headertext.css('height', headertextheight);
	jQuery(window).scroll(function(evt){
		var scrolltop = jQuery(document).scrollTop();
		
		if(!isMobile()){
			if(jQuery('body').hasClass('nvrlayout4')){
				if(scrolltop>headertextinnerh){
					headertext.addClass("sticky");
					outerheader.addClass("sticky");
					outerslider.addClass("sticky");
				}else{
					headertext.removeClass("sticky");
					outerheader.removeClass("sticky");
					outerslider.removeClass("sticky");
				}
			}else{
				
				if(scrolltop>(outerheaderoffset)){
					outerheader.addClass("sticky");
				}else{
					outerheader.removeClass("sticky");
				}
			}
		}
	});
}

function show_menu(){
	"use strict";
	/*=================================== MENU ===================================*/
    jQuery("ul.sf-menu").supersubs({ 
    minWidth		: 12,		/* requires em unit. */
    maxWidth		: 15,		/* requires em unit. */
    extraWidth		: 0	/* extra width can ensure lines don't sometimes turn over due to slight browser differences in how they round-off values */
                           /* due to slight rounding differences and font-family */
    }).superfish();  /* 
						call supersubs first, then superfish, so that subs are 
                        not display:none when measuring. Call before initialising 
                        containing tabs for same reason. 
					 */
	
	//=================================== MOBILE MENU DROPDOWN ===================================//
	jQuery('#outerheader .topnav').tinyNav({
		active: 'current-menu-item'
	});	
}

function change_uberOrientation(){
	"use strict";
	var winwidth = jQuery(window).width();
	if(jQuery('body').hasClass('nvrlayout4')){
		if(winwidth>1023){
			jQuery('#megaMenu').addClass('megaMenuVertical').removeClass('megaMenuHorizontal');
		}else{
			jQuery('#megaMenu').addClass('megaMenuHorizontal').removeClass('megaMenuVertical');
		}
	}
}

/* !Fullwidth wrap for shortcodes & templates */
function fullwidthwrap(){
	"use strict";
	if( jQuery(".nvr-fullwidthwrap").length && jQuery(".nosidebar").length ){
		jQuery(".nvr-fullwidthwrap").each(function(){
			var $_this = jQuery(this),
				offset_wrap = $_this.position().left;

				var $offset_fs;
				var $scrollBar = 0;
			 	var containerwidth = jQuery('#outermain .container').width();
				var outerwidth = (jQuery('#outercontainer').width() - (jQuery('#outercontainer').width()%2));

				var paddingcol = parseInt(jQuery('.columns').css('padding-left'));

				if( jQuery('body').hasClass('boxed') ){
					$offset_fs = ((parseInt(outerwidth) - parseInt(containerwidth)) / 2);
				} else {
						var $windowWidth = (jQuery(window).width() <= parseInt(containerwidth)) ? parseInt(containerwidth) : jQuery(window).width();
						$offset_fs = Math.ceil( ((outerwidth + $scrollBar - parseInt(containerwidth)) / 2) );
				};
				$_this.css({
					width: outerwidth,
					"margin-left": -$offset_fs
				});
		});
	};
};

function show_tab(){
	"use strict";
	/*jQuery tab */
	var pathurl = window.location.href.split("#tab");
	var deftab = "";
	var tabconts = jQuery(".tabcontainer");
	
	tabconts.each(function(){
		var tabcont = jQuery(this);
		var tabbod = tabcont.children(".tab-body");
		tabbod.children(".tab-content").hide(); /* Hide all content */
		if(pathurl.length>1){ 
			deftab = "#"+pathurl[1];
			var pdeftab = tabcont.find("a[href="+deftab+"]").parent().addClass("active").show();
			var tabcondeftab = deftab;
			tabbody.children(tabcondeftab).show();
		}else{
			var tabul = tabcont.children("ul.tabs");
			tabul.children("li:first").addClass("active").show(); /* Activate first tab */
			tabbod.children(".tab-content:first").show(); /* Show first tab content */
		}
	});
	/* On Click Event */
	jQuery("ul.tabs:not(.wc-tabs) li").click(function() {
		var thetabs = jQuery(this).parent("ul.tabs");
		var tabbody = thetabs.next();
		thetabs.children("li").removeClass("active");
		jQuery(this).addClass("active"); /* Add "active" class to selected tab */
		tabbody.children(".tab-content").hide();
		var activeTab = jQuery(this).find("a").attr("href"); /* Find the rel attribute value to identify the active tab + content */
		tabbody.children(activeTab).fadeIn(200);
		return false;
	});
}

function show_toggle(){
	"use strict";
	/*jQuery toggle*/
	jQuery(".toggle_container").hide();
	var isiPhone = /iphone/i.test(navigator.userAgent.toLowerCase());
	if (isiPhone){
		jQuery("h2.trigger").click(function(){
			if( jQuery(this).hasClass("active")){
				jQuery(this).removeClass("active");
				jQuery(this).next().css('display','none');
			}else{
				jQuery(this).addClass("active");
				jQuery(this).next().css('display','block');
			}
		});
	}else{
		jQuery("h2.trigger").click(function(){
			jQuery(this).toggleClass("active").next().slideToggle("slow");
		});
	}
}

function portfolio_effect(){
	"use strict";
	/*=================================== FADE EFFECT ===================================*/
	jQuery('.nvr-pf-container li .nvr-pf-img, .flexslider-carousel li .nvr-pf-img, div.frameimg').mouseenter(function(){
		jQuery(this).find('div.rollover').stop().animate({"opacity":0.75}, 500, 'easeOutCubic');
		jQuery(this).find('a.image').stop().animate({"left":"50%","opacity":0.90}, 500, 'easeOutCubic');
		jQuery(this).find('a.zoom').stop().animate({"left":"50%","opacity":0.90}, 500, 'easeOutCubic');
	});
	jQuery('.nvr-pf-container li .nvr-pf-img, .flexslider-carousel li .nvr-pf-img, div.frameimg').mouseleave(function(){
		jQuery(this).find('div.rollover').stop().animate({"opacity":0}, 500, 'easeOutCubic');
		jQuery(this).find('a.image').stop().animate({"left":"-10%","opacity":0}, 500, 'easeOutCubic');
		jQuery(this).find('a.zoom').stop().animate({"left":"110%","opacity":0}, 500, 'easeOutCubic');
	});
}

function show_socialicon(){
	"use strict";
	/*=================================== SOCIAL ICON ===================================*/
	var socialicons = jQuery('ul.sn li a');
	socialicons.hover(
		function() {
			var iconimg = jQuery(this).children();
			iconimg.stop(true,true);
			iconimg.fadeOut(500);
		},
		function() {
			var iconimg = jQuery(this).children();
			iconimg.stop(true,true);
			iconimg.fadeIn(500);
		}
	);
	
	if (window.devicePixelRatio > 1) {

		socialicons.each(function(i) {
			var lowres = jQuery(this).css('background-image');
			var highres = lowres.replace(".png", "@2x.png");
			jQuery(this).css('background-image', highres);
		});
	}
}

function show_lightbox(){
	"use strict";
	/*=================================== PRETTYPHOTO ===================================*/
	jQuery('a[data-rel]').each(function() {jQuery(this).attr('rel', jQuery(this).data('rel'));});
	jQuery("a[rel^='prettyPhoto']").prettyPhoto({animationSpeed:'slow',gallery_markup:'',slideshow:2000});
}

function show_carousel(){
	"use strict";
	var ctype = {
		"pcarousel" : {
			"index" : '.pcarousel .flexslider-carousel, .postcarousel .flexslider-carousel',
			"minItems" : 2,
			"maxItems" : 4,
			"itemWidth" : 200
		},
		"bcarousel" : {
			"index" : '.brand .flexslider-carousel',
			"minItems" : 2,
			"maxItems" : 5,
			"itemWidth" : 197
		}
	}
	
	for(var key in ctype){
		var carousel = ctype[key];
		jQuery(carousel.index).flexslider({
			animation: "slide",
			animationLoop: true,
			directionNav: true,
			controlNav: false,
			itemWidth: carousel.itemWidth,
			itemMargin: 0,
			minItems: carousel.minItems,
			maxItems: carousel.maxItems
		 });
	}
}

function slider_init(){
	"use strict";
	var slidereffect 			= interfeis_var.slidereffect;
    var slider_interval 		= interfeis_var.slider_interval;
    var slider_disable_nav 		= interfeis_var.slider_disable_nav;
    var slider_disable_prevnext	= interfeis_var.slider_disable_prevnext;
    
    if(slider_disable_prevnext=="0"){
        var direction_nav = true;
    }else{
        var direction_nav = false;
    }
    
    if(slider_disable_nav=="0"){
        var control_nav = true;
    }else{
        var control_nav = false;
    }

    jQuery('.flexslider').flexslider({
        animation: slidereffect,
        slideshowSpeed: slider_interval,
        directionNav: direction_nav,
        controlNav: control_nav,
        smoothHeight: true,
		pauseOnHover: true,
		start : function(){
			jQuery('#slideritems').removeClass('preloader');
		}
    });
}

function isotopeinit(){
	"use strict";
	
	var pffilter = jQuery('#nvr-pf-filter');
    pffilter.isotope({
        itemSelector : '.element'
    });
	
	pffilter.infinitescroll({
		loading: {
			finishedMsg: 'ALL POSTS LOADED',
			msg: null,
			msgText: 'LOADING NEXT POSTS',
			img: interfeis_var.themeurl + 'images/pf-loader.gif'
		  },
			navSelector  : '#loadmore-paging',    // selector for the paged navigation 
			nextSelector : '#loadmore-paging .loadmorebutton a:first',  // selector for the NEXT link (to page 2)
			itemSelector : '.element',     // selector for all items you'll retrieve
			bufferPx: 40
		},
       	// call Isotope as a callback
		function ( newElements ) {

			var $newElems = jQuery( newElements ).css({ opacity: 0 });
			$newElems.imagesLoaded(function(){
				$newElems.animate({ opacity: 1 });
				pffilter.isotope( 'appended', $newElems, true );
				pffilter.isotope('reLayout');
				portfolio_effect();
				show_lightbox();
				jQuery('#loadmore-paging').css('display','block');
			});
		}
	);
	
	jQuery('#filters li').click(function(){
        jQuery('#filters li').removeClass('selected');
        jQuery(this).addClass('selected');
        var selector = jQuery(this).find('a').attr('data-option-value');
        pffilter.isotope({ filter: selector });
        return false;
    });
	
	var postisotope = jQuery('.postscontainer.mason').isotope({
		itemSelector : '.articlewrapper'
	});
	
	postisotope.infinitescroll({
		loading: {
			finishedMsg: 'ALL POSTS LOADED',
			msg: null,
			msgText: 'LOADING NEXT POSTS',
			img: interfeis_var.themeurl + 'images/pf-loader.gif'
		  },
			navSelector  : '#loadmore-paging',    // selector for the paged navigation 
			nextSelector : '#loadmore-paging .loadmorebutton a:first',  // selector for the NEXT link (to page 2)
			itemSelector : '.articlewrapper',     // selector for all items you'll retrieve
			bufferPx: 40
		},
       	// call Isotope as a callback
		function ( newElements ) {
			
			slider_init();

			var $newElems = jQuery( newElements ).css({ opacity: 0 });
			$newElems.imagesLoaded(function(){
				$newElems.animate({ opacity: 1 });
				postisotope.isotope( 'appended', $newElems, true );
				postisotope.isotope('reLayout');
				jQuery('#loadmore-paging').css('display','block');
			});
		}
	);
	
	var prodisotope = jQuery('.nvr-productmasonry ul.products, .product_filter ul.products').isotope({
		itemSelector : 'li.product'
	});
	
	var activefilter = '*';
	
	jQuery('.isotope-filter li').click(function(){
        jQuery('.isotope-filter li').removeClass('selected');
        jQuery(this).addClass('selected');
        var selector = jQuery(this).find('a').attr('data-option-value');
		var selectortext = jQuery(this).find('a').text();
		jQuery(this).parents('.filterlist').find('a.filterbutton').html(selectortext);
        prodisotope.isotope({ filter: selector });
		activefilter = selector;
        return false;
    });
	
	prodisotope.infinitescroll({
		loading: {
			finishedMsg: 'All Products Loaded',
			msg: null,
			msgText: 'Loading More Products',
			img: interfeis_var.themeurl + 'images/pf-loader.gif'
		  },
			navSelector  : '#loadmore-paging',    // selector for the paged navigation 
			nextSelector : '#loadmore-paging .loadmorebutton a:first',  // selector for the NEXT link (to page 2)
			itemSelector : 'li.product',     // selector for all items you'll retrieve
			bufferPx: 40
		},
       	// call Isotope as a callback
		function ( newElements ) {
			
			var $newElems = jQuery( newElements ).css({ opacity: 0 });
			$newElems.imagesLoaded(function(){
				$newElems.animate({ opacity: 1 });
				prodisotope.isotope( 'insert', $newElems, true ).isotope({filter : activefilter});
				prodisotope.isotope('reLayout');
				quickviewajax();
				jQuery('#loadmore-paging').css('display','block');
			});
		}
	);
	
	jQuery(window).unbind('.infscr');
	
	jQuery('#loadmore-paging .loadmorebutton a:first').click(function(evt){
		prodisotope.infinitescroll('retrieve');
		pffilter.infinitescroll('retrieve');
		postisotope.infinitescroll('retrieve');
		return false;
	});
	jQuery(document).ajaxError(function(e,xhr,opt){
		if(xhr.status==404){jQuery('#loadmore-paging a').remove();}
	});
}

function form_styling(){
	"use strict";
	/* Select */
	var selects = jQuery('select#cmbpostdomain');
	selects.wrap('<div class="nvr_selector" />');
	var selector = jQuery('.nvr_selector');
	selector.prepend('<span />');
	selector.each(function(){
		var selval = jQuery(this).find('select option:selected').text();
		var sel = jQuery(this).children('select');
		var selclass = sel.attr('class');
		jQuery(this).children('span').text(selval);
		jQuery(this).addClass(selclass);
		sel.css('width','100%');
		sel.change(function(){
			var selvals = jQuery(this).children('option:selected').text();
			jQuery(this).parent().children('span').text(selvals);
		});
	});
}

/*=================================== CUSTOM CART ===================================*/
function update_custom_cart(){
	"use strict";
	
	var numberPattern = /\d+/g;
	
	var the_cart = jQuery("#topminicart"),
		dropdown_cart = the_cart.find(".cartlistwrapper:eq(0)"),
		subtotal = the_cart.find('.cart_subtotal'),
		cart_widget = jQuery('.widget_shopping_cart'),
		cart_qty = the_cart.find('.cart_totalqty');
		
		var new_subtotal = dropdown_cart.find('.total');
		new_subtotal.find('strong').remove();
		subtotal.html( new_subtotal.html() );
		
		var the_quantities = dropdown_cart.find('.quantity');
		var totalqty = 0;
		the_quantities.each(function(idx,el){
			var qtytext = jQuery(el).html().match(numberPattern);
			var qtyint = parseInt(qtytext[0]);
			totalqty = totalqty + qtyint;
		});
		cart_qty.html(totalqty);
		
}

/*=================================== TOPCART ==============================*/
function topcart_effects(){
	"use strict";
	
	jQuery('body').bind('added_to_cart', update_custom_cart);
	
	var btncart = jQuery("#topminicart");
	var catcont = jQuery("#topminicart .cartlistwrapper");
	
	btncart.mouseenter(function(){
		catcont.stop().fadeIn(100,'easeOutCubic');
	});
	btncart.mouseleave(function(){
		catcont.stop().fadeOut(100,'easeOutCubic');
	});
}

function topsearch_effects(){
	"use strict";
	
	var btnsearch = jQuery('.searchbox .submit');
	var searcharea = jQuery('.searchbox .searcharea');
	var textsearch = jQuery('.searchbox .txtsearch');
	
	btnsearch.on('click', function(evt){
		if(textsearch.val()==''){
			evt.preventDefault();
			if(searcharea.hasClass('shown')){
				searcharea.removeClass('shown');
				searcharea.fadeOut();
			}else{
				searcharea.addClass('shown');
				searcharea.fadeIn();
			}
		}
	});
}

/*=================================== QUICK VIEW ===================================*/
/*
$("img.hidden").reveal("fadeIn", 1000);
*/

function chgpicturecallback(){
	"use strict";
	
	if(jQuery.isFunction(jQuery.fn.wc_variation_form)){
		jQuery('form.variations_form').wc_variation_form();
	}
	jQuery('form.variations_form .variations select').change();
	jQuery('.quickview-container .images a').removeAttr('rel');
	var mainimage = jQuery('.quickview-container .images a.woocommerce-main-image');
	mainimage.on('click',function(evt){
		evt.preventDefault();
	}).css('cursor','default');
	jQuery('.thumbnails a').on('click',function(evt){
		evt.preventDefault();
		var imgsrc = jQuery(this).attr('href');
		mainimage.find('img').attr("src",imgsrc);
	});
	
	// Quantity buttons
	jQuery("div.quantity:not(.buttons_added), td.quantity:not(.buttons_added)").addClass('buttons_added').append('<input type="button" value="+" class="plus" />').prepend('<input type="button" value="-" class="minus" />');

	// Target quantity inputs on product pages
	jQuery("input.qty:not(.product-quantity input.qty)").each(function(){

		var min = parseFloat( jQuery(this).attr('min') );

		if ( min && min > 0 && parseFloat( jQuery(this).val() ) < min ) {
			jQuery(this).val( min );
		}

	});
	
	var qcselector = jQuery('.quickview-container .nvr_selector');
	qcselector.each(function(){
		var selval = jQuery(this).find('select option:selected').text();
		var sel = jQuery(this).children('select');
		var selclass = sel.attr('class');
		jQuery(this).children('span').text(selval);
		jQuery(this).addClass(selclass);
		sel.css('width','100%');
		sel.change(function(){
			var selvals = jQuery(this).children('option:selected').text();
			jQuery(this).parent().children('span').text(selvals);
		});
	});
}

function quickviewajax(){
	
	jQuery('a.nvr_quickview').click(function(evt){
		
		evt.preventDefault();
		
		var pfitem = jQuery(this);
		var pfurl = jQuery(this).attr('href');
		var pajaxholder = jQuery('div.quickview-ajax-holder');
		var ajaxbutton = pajaxholder.find('a.btnajax');
		var pajaxdata = pajaxholder.find('div.quickview-ajax-data');
		
		var cactive = false;
		var loadedimages = 0;
		var loadedpercent = 0;
		var outerheader = jQuery('#outerheader');
		var wpadminbar = jQuery('#wpadminbar');
		
		var adminbarinnerh = wpadminbar.innerHeight();
		var outerheaderinnerh = outerheader.innerHeight();
		var topscrolledge = adminbarinnerh+outerheaderinnerh;
		
		pajaxholder.removeClass('preloader');
		
		if(pfitem.hasClass('active')){
			
		}else{
		
			pfitem.addClass('active');

			ajaxbutton.click(function(){
					
				pajaxholder.delay(400).fadeOut(600, function(){
					pajaxdata.empty();
					pajaxholder.perfectScrollbar('destroy');
				});
				
				pfitem.removeClass('active') ;
			  
				return false;
			});
			
			pajaxholder.fadeIn(600, function(){ 
				pajaxdata.css('visibility', 'visible');
				pajaxdata.fadeOut(100);
				pajaxholder.addClass('preloader');
				
				var jqxhr = jQuery.ajax({
					url : pfurl,
					cache : false,
					dataType : 'html',
					async : true,
					beforeSend : function(){
						pajaxdata.empty();
					},
					xhr: function(){
						var xhr = new window.XMLHttpRequest();
						/*Upload progress*/
						xhr.upload.addEventListener("progress", function(evt){
							if (evt.lengthComputable) {
								var percentComplete = evt.loaded / evt.total;
								/*Do something with upload progress*/
								console.log(percentComplete);
							}
						}, false);
						/*Download progress*/
						xhr.addEventListener("progress", function(evt){
							if (evt.lengthComputable) {
								var percentComplete = Math.round((evt.loaded/evt.total)*100);
								/*Do something with download progress*/
								console.log(percentComplete);
							}
						}, false);
						return xhr;
					}
				});
				
				jqxhr.done(function(data, textStatus){
					
					var content = data;
					
					pajaxdata.append(content);
					
					chgpicturecallback();
					
					pajaxdata.imagesLoaded()
					.always( function( instance ) {
						console.log('loading images');
					})
					.done( function( instance ) {
						pajaxholder.perfectScrollbar({includePadding : true});
						pajaxdata.delay(1000).fadeIn(900,function(){ 
							pajaxholder.removeClass('preloader'); 
							pajaxholder.scrollTop(0);
							pajaxholder.perfectScrollbar('update');
							slider_init();
						});
	
						jQuery('.element_fade_in').each(function () {
							jQuery(this).appear(function() {
								jQuery(this).delay(100).animate({opacity:1,right:"0px"},1000);
							});
						});
						
					})
					.fail( function() {
						console.log('all images loaded, at least one is broken');
					})
					.progress( function( instance, image ) {
						var totalimage = instance.images.length;
						var result = image.isLoaded ? 'loaded' : 'broken';
						if(result=='loaded'){
							loadedimages++;
						}
						loadedpercent = Math.round((loadedimages/totalimage)*100);
						console.log( 'image is ' + result + ' for ' + image.img.src );
					});
			
				});
				
				jqxhr.fail(function(error, textStatus){
					alert( "Request failed: " + textStatus );
				});
			
			});
		
		}
		
		return false;
	
	});
}

function nvr_wrapping_product_thumb(){
	"use strict";
	
	var thumbcontainer = jQuery('.single-product .type-product .images .thumbnails');
	thumbcontainer.addClass('flexslider');
	thumbcontainer.wrapInner('<ul class="slides"></ul>');
	thumbcontainer.find('a.zoom').wrap('<li></li>');
}

function nvr_sliding_product_thumb(){
	"use strict";
	var thumbcontainer = jQuery('.single-product .type-product .images .thumbnails');
	thumbcontainer.flexslider({
    	animation: "slide",
    	animationLoop: false,
    	itemWidth: 129,
    	itemMargin: 15
	});
}