<?php
/**
 * The default template for displaying content. Used for both single and index/archive/search.
 *
 * @package WordPress
 * @subpackage Elgrande
 * @since Elgrande 1.0
 */
 
 global $post, $more;
 $more = 0;
 $initial = THE_INITIAL;
?>

    <?php /* How to display all posts. */ ?>
	<article id="post-<?php the_ID(); ?>" <?php post_class("content-loop"); ?>>
        <div class="loopcontainer">
    		<div class="entry-icon"></div>
            <h2 class="posttitle"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', THE_LANG ), the_title_attribute( 'echo=0' ) ); ?>" data-rel="bookmark"><?php the_title(); ?></a></h2>
       		<div class="entry-content">
                <?php 
				if(is_search()){
					the_excerpt();
				}else{
					the_content(); 
				}
				?>
                <div class="clearfix"></div>
            </div>
           <div class="clearfix"></div> 
        </div>
         <div class="entry-utility">
            <span class="meta-author"><i class="fa fa-user"></i><a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) );?>"><?php the_author();?></a></span> 
            <span class="meta-date"><i class="fa fa-calendar"></i><?php the_time('M d, Y') ?></span>
            <span class="meta-cat"><i class="fa fa-folder-open"></i><?php the_category(', '); ?></span>
            <span class="meta-comment"><i class="fa fa-comments"></i><?php comments_popup_link(__('0 Comment', THE_LANG), __('1 Comment', THE_LANG), __('% Comments', THE_LANG)); ?></span>
            <a href="<?php the_permalink(); ?>" class="more-link btn"><i class="fa fa-play-circle-o"></i><?php _e('Read More', THE_LANG); ?></a>
            <div class="clearfix"></div>
        </div>
		<div class="clearfix"></div>
        
	</article><!-- end post -->