<?php
function nvr_script() {
	if (!is_admin()) {

		wp_enqueue_script('jquery');
		
		$shortname = THE_SHORTNAME;
		$siteurl = THE_SITEURL;
		$adminurl = THE_ADMINURL;
		$themeurl = THE_STYLEURI;
		
		wp_register_script('jeasing', THE_JSURI .'jquery.easing.js', array('jquery'), '1.2', true);
		wp_enqueue_script('jeasing');
		
		wp_register_script('jcolor', THE_JSURI .'jquery.color.js', array('jquery'), '2.0', true);
		wp_enqueue_script('jcolor');
		
		wp_register_script('jcookie', THE_JSURI .'jquery.cookie.js', array('jquery'), '1.0', true);
		if(nvr_get_option( THE_SHORTNAME . '_enable_switcher') ){
			wp_enqueue_script('jcookie');
		}
		
		wp_register_script('modernizr', THE_JSURI .'modernizr.js', array('jquery'), '2.5.3');
		wp_enqueue_script('modernizr');
		
		wp_register_script('jisotope', THE_JSURI .'jquery.isotope.min.js', array('jquery'), '1.0', true);
		wp_enqueue_script('jisotope');
		
		wp_register_script('infinite-scroll', THE_JSURI .'jquery.infinitescroll.js', array('jquery'), '2.0b2', true);
		wp_enqueue_script('infinite-scroll');
		
		wp_register_script('jprettyPhoto', THE_JSURI .'jquery.prettyPhoto.js', array('jquery'), '3.0', true);
		wp_enqueue_script('jprettyPhoto');
		
		wp_register_script('jsuperfish', THE_JSURI .'superfish.js', array('jquery'), '1.4.8', true);
		wp_enqueue_script('jsuperfish');
		
		wp_register_script('jsupersubs', THE_JSURI .'supersubs.js', array('jquery'), '0.2', true);
		wp_enqueue_script('jsupersubs');
		
		wp_register_script('jPerfectScrollbar', THE_JSURI .'perfect-scrollbar.with-mousewheel.min.js', array('jquery'), '0.4.9', true);
		wp_enqueue_script('jPerfectScrollbar');
		
		wp_register_script('jImagesLoaded', THE_JSURI .'imagesloaded.pkgd.min.js', array('jquery'), '3.0.4', true);
		wp_enqueue_script('jImagesLoaded');
		
		wp_register_script('jflexslider', THE_JSURI .'jquery.flexslider-min.js', array('jquery'), '1.8', true);
		wp_enqueue_script('jflexslider');
		
		wp_register_script('jtinynav', THE_JSURI .'tinynav.min.js', array('jquery'), '1.03', true);
		wp_enqueue_script('jtinynav');
		
		wp_register_script('jretina', THE_JSURI .'retina.min.js', array('jquery'), '1.1.0', true);
		wp_enqueue_script('jretina');
		
		wp_register_script('jcustom', THE_JSURI .'custom.js', array('jquery'), '1.0', true);
		wp_enqueue_script('jcustom');
		
		$sliderEffect = nvr_get_option( $shortname . '_slider_effect' ,'fade'); 
		$sliderInterval = nvr_get_option( $shortname . '_slider_interval' ,600);
		$sliderDisableNav = nvr_get_option( $shortname . '_slider_disable_nav');
		$sliderDisablePrevNext = nvr_get_option( $shortname . '_slider_disable_prevnext');
		
		$domainFormLink = nvr_get_option( $shortname . '_domainform_link','');
		if(!$domainFormLink){
			$domainFormLink = $siteurl;
		}
		
		$interfeisvar = array( 
			'siteurl' 					=> $siteurl, 
			'adminurl' 					=> $adminurl,
			'themeurl'					=> $themeurl,
			'slidereffect' 				=> $sliderEffect,
			'slider_interval' 			=> $sliderInterval,
			'slider_disable_nav' 		=> $sliderDisableNav,
			'slider_disable_prevnext' 	=> $sliderDisablePrevNext,
			'domainformlink'			=> $domainFormLink
		);
		wp_localize_script( 'jcustom', 'interfeis_var', $interfeisvar );
		
		wp_enqueue_script( 'wc-add-to-cart-variation');
		
	}
}
add_action('wp_enqueue_scripts', 'nvr_script');
